# Git Basics - Exercises

## Create your repository on GitLab
  
Log in to GitLab and create your repository (you can use the same name : _Animal Description Collection_)

## Use the Web IDE to add content
  
1. Pick one of birds, fish, insects, mammals, reptiles, imaginary and create a [Markdown](https://www.markdownguide.org/cheat-sheet/) file with the matching name (ex.: `imaginary.md`)
      
1. Add some contents to the file using the following format:

    ```
    # Imaginary Animals Descriptions

    ## Gremlin

    Name
    : Gremlin

    Color
    : All kinds of

    Biotope
    : Mostly urban but can live anywhere

    Comments
    : Don't feed after midnight

    ## Totoro

    Name
    : Totoro

    Color
    : Grayish

    Biotope
    : My neighbors garden

    Comments
    : Can be quite vocal at times
    ```
 
1. Create an `images` folder
1. Add one or more images of the animals you described (grabbed from WikiPedia) to the `images` folder.

## Create your first commit

1. Use the `Create commit...` button of the Web IDE
1. Check the `Commit to main branch` button **This is a really bad practice we will never repeat once we know how to use branches.**
1. Enter a commit message explaining what changes you made
1. Click the `Commit` button.



